Support » Plugin: Super Progressive Web Apps » Warning- Page Doesn’t Work Offline

Viewing 13 replies - 1 through 13 (of 13 total)
  • testitilinen

    (@testitilinen)

    Hello, I am having same problem. Console errors below (Chrome 89)

    
    The FetchEvent for "https://page.url.com" resulted in a network error response: the promise was rejected.
    Promise.then (async)
    (anonymous) @ superpwa-sw.js:74
    
    
    superpwa-sw.js:1 Uncaught (in promise) TypeError: Failed to fetch
    
    
    (index):1 Site cannot be installed: Page does not work offline. Starting in Chrome 93, the installability criteria is changing, and this site will not be installable. See https://goo.gle/improved-pwa-offline-detection for more information.
    
    Plugin Author SuperPWA

    (@superpwa)

    testitilinen: As per forum guidelines please create a new topic.

    Plugin Author SuperPWA

    (@superpwa)

    themassapothecary: We inspected your site in lighthouse and didn’t encounter any such issue https://prnt.sc/10eavdy. Check once whether having the same issue or not. Then do let us know.

    Thread Starter Derek Wilcox

    (@themassapothecary)

    @superpwa I get the same issue every time I check it in lighthouse. Not once has it not had the error and I run it multiple times every day. https://imgur.com/eKBhzFg

    I ve the self Error Message in Chrome after Chrome Update.
    I ve the Message in Lighthouse and in the Browser Console.

    Check this pls:
    https://developer.chrome.com/blog/improved-pwa-offline-detection/

    “Warning starting Chrome 89 (March 2021)
    Starting in Chrome 89 (stable in March 2021), if the PWA does not provide a valid response when offline, a message will be displayed under the Issues tab of developer tools. The beforeinstallprompt event, and in-browser installation prompts will still be provided.

    Lighthouse v7 and later will also indicate when there’s a problem with the offline implementation and provide guidance on how to fix it.”

    Plugin Author SuperPWA

    (@superpwa)

    proflowa: As per forum guidelines please create a new topic.

    I face the same issue here. Please enlighten us.

    Plugin Author SuperPWA

    (@superpwa)

    kernkraftx360: As per forum guidelines please create a new topic.

    Thread Starter Derek Wilcox

    (@themassapothecary)

    @superpwa can you please answer me. The same problem still

    Thread Starter Derek Wilcox

    (@themassapothecary)

    TypeError: Failed to update a ServiceWorker for scope (‘https://massapothecary.com/’) with script (‘https://massapothecary.com/superpwa-sw.js’): An unknown error occurred when fetching the script.

    I also get this console error

    I had the same problem and to solve that I edited this file:

    my-domain.com/superpwa-sw.js

    Replacing this block of code:

    // Revving strategy
    	if ( e.request.mode === 'navigate' && navigator.onLine ) {
    		e.respondWith(
    			fetch(e.request).then(function(response) {
    				return caches.open(cacheName).then(function(cache) {
    					cache.put(e.request, response.clone());
    					return response;
    				});  
    			})
    		);
    		return;
    	}

    By this another block of code:

    // Revving strategy
    	if ( e.request.mode === 'navigate' && navigator.onLine ) {
    		e.respondWith(
    			fetch(e.request).then(function(response) {
    				return caches.open(cacheName).then(function(cache) {
    					cache.put(e.request, response.clone());
    					return response;
    				});  
    			}).catch(function( error ) {
    				console.log('There has been a problem with the "Revving strategy" operation: ' + error.message);
    				return caches.match(offlinePage);
    			})
    		);
    		return;
    	}

    If you use the OneSignal integration you’ll need to edit this same block of code, but on the following path:

    my-domain.com/OneSignalSDKWorker.js.php

    If you want to understand what this block of code does, take a look at this commentary on GitHub: https://github.com/SuperPWA/Super-Progressive-Web-Apps/issues/36#issuecomment-388105238

    I hope these informations help someone! 🙂

    Kind regards,
    Glauber Silva

    Plugin Author SuperPWA

    (@superpwa)

    The issue which you are facing is valid. So we have created a ticket in the GIT-HUB.
    So our dev team will be working on it. This issue will be resolved in the next update of the plugin.

    For reference please follow this GitHub ticket:
    https://github.com/SuperPWA/Super-Progressive-Web-Apps/issues/174

Viewing 13 replies - 1 through 13 (of 13 total)
  • You must be logged in to reply to this topic.